Intel® Distribution of OpenVINO™ Toolkit
Community assistance about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all aspects of computer vision-related on Intel® platforms.
6371 Discussions

Error while converting distilbert model to openvino format

singhalshikha518
Beginner
269 Views

I want to convert distilbert model to IR, but I receive some strange error. Below id the command i used to convert:

mo --saved_model_dir prebuilt_ner/1 --input first_subword_mask_tensor,input_ids_tensor,num_subwords_per_word_tensor,tokens_tensor,words_tensor --input_shape [-1,-1],[-1,-1],[-1,-1],[-1,-1],[-1,-1] --output map/TensorArrayV2Stack_3/TensorListStack,Identity_4,Identity_1,Tile,Sum,Identity_3,ner/ReverseSequence_1,ner/Cast_4,Fill,ner/hash_table_Lookup/LookupTableFindV2,Identity,map/TensorArrayV2Stack_1/TensorListStack,map/TensorArrayV2Stack/TensorListStack,map/TensorArrayV2Stack_2/TensorListStack,Identity_2  --disable_nhwc_to_nchw

 

here is the error:

[ ERROR ]  -------------------------------------------------
[ ERROR ]  ----------------- INTERNAL ERROR ----------------
[ ERROR ]  Unexpected exception happened.
[ ERROR ]  Please contact Model Optimizer developers and forward the following information:
[ ERROR ]  Exception occurred during running replacer "None (<class 'openvino.tools.mo.front.tf.MapFNTransformation.MapFNInputSlicing'>)": unhashable type: 'list'
[ ERROR ]  Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/utils/class_registration.py", line 278, in apply_transform
    for_graph_and_each_sub_graph_recursively(graph, replacer.find_and_replace_pattern)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/middle/pattern_match.py", line 46, in for_graph_and_each_sub_graph_recursively
    func(graph)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/front/tf/MapFNTransformation.py", line 145, in find_and_replace_pattern
    MapFNInputSlicing.transform_map_fn_input_slicing(external_match, internal_match)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/front/tf/MapFNTransformation.py", line 114, in transform_map_fn_input_slicing
    unstack_node.out_port(0).get_connection().set_source(unstack_node.in_port(0).get_connection().get_source())
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/graph/connection.py", line 122, in set_source
    source_fw_names = list(set(source_fw_names))
TypeError: unhashable type: 'list'The above exception was the direct cause of the following exception:Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/main.py", line 533, in main
    ret_code = driver(argv)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/main.py", line 489, in driver
    graph, ngraph_function = prepare_ir(argv)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/main.py", line 407, in prepare_ir
    graph = unified_pipeline(argv)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/pipeline/unified.py", line 17, in unified_pipeline
    class_registration.ClassType.BACK_REPLACER
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/utils/class_registration.py", line 328, in apply_replacements
    apply_replacements_list(graph, replacers_order)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/utils/class_registration.py", line 318, in apply_replacements_list
    num_transforms=len(replacers_order))
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/utils/logger.py", line 112, in wrapper
    function(*args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/openvino/tools/mo/utils/class_registration.py", line 306, in apply_transform
    )) from err
Exception: Exception occurred during running replacer "None (<class 'openvino.tools.mo.front.tf.MapFNTransformation.MapFNInputSlicing'>)": unhashable type: 'list'[ ERROR ]  ---------------- END OF BUG REPORT --------------
[ ERROR ]  -------------------------------------------------

0 Kudos
1 Reply
Hairul_Intel
Moderator
239 Views

Hi singhalshikha518,

We notice that you’ve posted the same issue in our GitHub thread. As such, we will proceed to close this thread. Further discussions regarding this issue can be done in the following GitHub thread:

https://github.com/openvinotoolkit/openvino/issues/12737

 

 

Regards,

Hairul


0 Kudos
Reply